Get a card payment transaction
curl --request GET \
--url https://business.planewallet.org/api/v1/transactions/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://business.planewallet.org/api/v1/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://business.planewallet.org/api/v1/transactions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"cardId": "<string>",
"reference": "<string>",
"type": "<string>",
"status": "<string>",
"amount": "<string>",
"currency": "<string>",
"merchant": "<string>",
"country": "<string>",
"description": "<string>",
"occurredAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 123,
"message": "<string>"
}Balance
Get a card transaction
Required permission: operations:read. Sandbox is isolated from live funds. Live integration availability is checked server-side.
GET
/
api
/
v1
/
transactions
/
{id}
Get a card payment transaction
curl --request GET \
--url https://business.planewallet.org/api/v1/transactions/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://business.planewallet.org/api/v1/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://business.planewallet.org/api/v1/transactions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"cardId": "<string>",
"reference": "<string>",
"type": "<string>",
"status": "<string>",
"amount": "<string>",
"currency": "<string>",
"merchant": "<string>",
"country": "<string>",
"description": "<string>",
"occurredAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 123,
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.